Sign in Start for free

Machines

Get the status of the network connection between the Octopus server and a machine

GET /api/{spaceId}/machines/{id}/connection

Also reachable at /api/machines/{id}/connection, /api/spaces/{spaceIdentifier}/machines/{id}/connection.

Path Parameters

  • id string (required)
    ID of the machine whose connection status is being requested.
  • spaceId string (required)
    ID of the space.

Response

200 — The connection status

  • CurrentTentacleVersion string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastChecked string
    Format date-time.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Logs array of object
    • Category string
    • Detail string
    • GapLastNumber integer
    • MessageText string
    • Number integer
    • OccurredAt string
      Format date-time.
  • MachineId string
  • Status string

Example Response

JSON
{
  "CurrentTentacleVersion": "string",
  "Id": "string",
  "LastChecked": "2020-01-01T00:00:00.000Z",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Logs": [
    {
      "Category": "string",
      "Detail": "string",
      "GapLastNumber": 0,
      "MessageText": "string",
      "Number": 0,
      "OccurredAt": "2020-01-01T00:00:00.000Z"
    }
  ],
  "MachineId": "string",
  "Status": "string"
}